name=`dirname $0`/`basename $0 .sh`
case `hostname` in
    'samson'|'tiffy'|'bert'|'ernie')
        exec ${name}-dec-mips-ultrix $*
        ;;
    'astoria'|'waldorf'|'rowlf'|'gonzo'|'scooter'|'fozzy'|'stadler')
        exec ${name}-ibm-i386-netbsd $*
        ;;
    *)
        echo "nq: sorry, no executable exists for this machine."
        echo "Consult the installation description in the GAP manual."
        ;;
esac
